//--------------------------------------------------------------------  //000
//                                                                      //001
// DISCOUNT: Display-Controller                                         //002
//                                                                      //003
// Stellt einen 8-Bit-Speicher auf einem Video-Monitor monochrom dar    //004
// (Aufloesung 640x192, Bildfrequenz 50 Hz).                            //005
//                                                                      //006
// Das Modell ist in den Abschnitten 13.1-3 ausfuehrlich dokumentiert.  //007
//                                                                      //008
//--------------------------------------------------------------------  //009

`ifdef DISCOUNT_DEFS_V
`else
`define DISCOUNT_DEFS_V

`timescale 1ps / 1ps
                                                                        //010
                                // horizontale Parameter in Takten:     //011
`define H1    96                // linker Bildrand                      //012
`define H    640                // Bildpunkte                           //013
`define H2    88                // rechter Bildrand                     //014
`define H3    88                // horizontale Synchronisation          //015
`define Hline `H1+`H+`H2+`H3    // Zeilenlaenge                         //016
                                                                        //017
                                // vertikale Parameter in Zeilen:       //018
`define V1    58                // oberer Bildrand                      //019
`define V    192                // Bildbereich                          //020
`define V2    48                // unterer Bildrand                     //021
`define V3    16                // vertikale Synchronisation            //022
`define Vframe `V1+`V+`V2+`V3   // Bildaufbau in Zeilen                 //023
                                                                        //024
// Definitionen                                                         //025
`define Asz   14                // Adressbreite                         //026
`define Dsz    8                // Datenbreite                          //027
`define Bsz    8                // Byte-Breite                          //028
`define Msz   (`H)*(`V) / `Bsz  // Speichergroesse                      //029
`define Rsz   10                // Registerbreite H../V..
                                                                        //030
`endif
